<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.18) on Sun Apr 16 01:57:04 CEST 2023 -->
<title>Zoo</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf8">
<meta name="dc.created" content="2023-04-16">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.6.0.min.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.min.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Zoo";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<h2 title="Class Zoo" class="title">Class Zoo</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>Object</li>
<li>
<ul class="inheritance">
<li>Zoo</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">Zoo</span>
extends Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section>
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(java.lang.String)">Zoo</a></span>&#8203;(String&nbsp;nom)</code></th>
<td class="colLast">
<div class="block">permet de créer un zoo</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section>
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ajouteAnimal(Animal)">ajouteAnimal</a></span>&#8203;(<a href="Animal.html" title="class in &lt;Unnamed&gt;">Animal</a>&nbsp;animal)</code></th>
<td class="colLast">
<div class="block">permet d'ajouter un animal dans le zoo</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#ajouteEnclos(Enclos)">ajouteEnclos</a></span>&#8203;(<a href="Enclos.html" title="class in &lt;Unnamed&gt;">Enclos</a>&nbsp;enclos)</code></th>
<td class="colLast">
<div class="block">permet d'ajouter un enclos dans le zoo</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="Animal.html" title="class in &lt;Unnamed&gt;">Animal</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#animalLePlusLourd()">animalLePlusLourd</a></span>()</code></th>
<td class="colLast">
<div class="block">permet de récupérer l'animal le plus lourd du zoo</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getNom()">getNom</a></span>()</code></th>
<td class="colLast">
<div class="block">permet de récupérer le nom du zoo</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="Animal.html" title="class in &lt;Unnamed&gt;">Animal</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#lesAnimauxDansZoo()">lesAnimauxDansZoo</a></span>()</code></th>
<td class="colLast">
<div class="block">permet de récupérer la liste des animaux du zoo</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="Animal.html" title="class in &lt;Unnamed&gt;">Animal</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#listerAnimauxDansEnclos(java.lang.String)">listerAnimauxDansEnclos</a></span>&#8203;(String&nbsp;nomEnclos)</code></th>
<td class="colLast">
<div class="block">permet de récupérer la liste des animaux dans un enclos</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#soigner(java.lang.String)">soigner</a></span>&#8203;(String&nbsp;nomAnimal)</code></th>
<td class="colLast">
<div class="block">permet de soigner un animal</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#toString()">toString</a></span>()</code></th>
<td class="colLast">
<div class="block">permet d'afficher les informations du zoo avec les noms d'enclos et les animaux qu'ils contiennent sous forme de liste</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#trierAnimauxParNom()">trierAnimauxParNom</a></span>()</code></th>
<td class="colLast">
<div class="block">permet de trier les animaux du zoo par ordre alphabétique</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section>
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Zoo</h4>
<pre>public&nbsp;Zoo&#8203;(String&nbsp;nom)</pre>
<div class="block">permet de créer un zoo</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nom</code> - le nom du zoo</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section>
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getNom()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNom</h4>
<pre class="methodSignature">public&nbsp;String&nbsp;getNom()</pre>
<div class="block">permet de récupérer le nom du zoo</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>le nom du zoo</dd>
</dl>
</li>
</ul>
<a id="ajouteAnimal(Animal)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ajouteAnimal</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;ajouteAnimal&#8203;(<a href="Animal.html" title="class in &lt;Unnamed&gt;">Animal</a>&nbsp;animal)</pre>
<div class="block">permet d'ajouter un animal dans le zoo</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>animal</code> - un animal</dd>
</dl>
</li>
</ul>
<a id="ajouteEnclos(Enclos)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ajouteEnclos</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;ajouteEnclos&#8203;(<a href="Enclos.html" title="class in &lt;Unnamed&gt;">Enclos</a>&nbsp;enclos)</pre>
<div class="block">permet d'ajouter un enclos dans le zoo</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>enclos</code> - un enclos</dd>
</dl>
</li>
</ul>
<a id="soigner(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>soigner</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;soigner&#8203;(String&nbsp;nomAnimal)
             throws <a href="AnimalPasBlesseException.html" title="class in &lt;Unnamed&gt;">AnimalPasBlesseException</a>,
                    <a href="AnimalPasDansZooException.html" title="class in &lt;Unnamed&gt;">AnimalPasDansZooException</a></pre>
<div class="block">permet de soigner un animal</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nomAnimal</code> - le nom de l'animal à soigner</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="AnimalPasBlesseException.html" title="class in &lt;Unnamed&gt;">AnimalPasBlesseException</a></code> - relève une exception si l'animal n'est pas blessé</dd>
<dd><code><a href="AnimalPasDansZooException.html" title="class in &lt;Unnamed&gt;">AnimalPasDansZooException</a></code> - relève une exception si l'animal n'est pas dans le zoo</dd>
</dl>
</li>
</ul>
<a id="listerAnimauxDansEnclos(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>listerAnimauxDansEnclos</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;<a href="Animal.html" title="class in &lt;Unnamed&gt;">Animal</a>&gt;&nbsp;listerAnimauxDansEnclos&#8203;(String&nbsp;nomEnclos)
                                               throws <a href="NomEnclosException.html" title="class in &lt;Unnamed&gt;">NomEnclosException</a></pre>
<div class="block">permet de récupérer la liste des animaux dans un enclos</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nomEnclos</code> - nom de l'enclos</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>la liste des animaux dans l'enclos</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="NomEnclosException.html" title="class in &lt;Unnamed&gt;">NomEnclosException</a></code> - relève une exception si l'enclos n'existe pas</dd>
</dl>
</li>
</ul>
<a id="trierAnimauxParNom()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>trierAnimauxParNom</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;trierAnimauxParNom()</pre>
<div class="block">permet de trier les animaux du zoo par ordre alphabétique</div>
</li>
</ul>
<a id="animalLePlusLourd()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>animalLePlusLourd</h4>
<pre class="methodSignature">public&nbsp;<a href="Animal.html" title="class in &lt;Unnamed&gt;">Animal</a>&nbsp;animalLePlusLourd()</pre>
<div class="block">permet de récupérer l'animal le plus lourd du zoo</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>l'animal le plus lourd du zoo</dd>
</dl>
</li>
</ul>
<a id="lesAnimauxDansZoo()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lesAnimauxDansZoo</h4>
<pre class="methodSignature">public&nbsp;java.util.List&lt;<a href="Animal.html" title="class in &lt;Unnamed&gt;">Animal</a>&gt;&nbsp;lesAnimauxDansZoo()</pre>
<div class="block">permet de récupérer la liste des animaux du zoo</div>
</li>
</ul>
<a id="toString()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>toString</h4>
<pre class="methodSignature">public&nbsp;String&nbsp;toString()</pre>
<div class="block">permet d'afficher les informations du zoo avec les noms d'enclos et les animaux qu'ils contiennent sous forme de liste</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>Object</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
